Class | Merb::BootLoader::Dependencies
In: | lib/merb-core/bootloader.rb
Parent: | Merb::BootLoader

### Methods

enable_json_gem load_dependencies run set_encoding update_logger

### Public Class methods

enable_json_gem()

Requires json or json_pure.

#### Returns

nil

:api: private

load_dependencies()

Try to load the gem environment file (set via Merb::Config[:gemenv]) defaults to ./gems/environment

Load each the dependencies defined in the Merb::Config[:gemfile] using the bundler gem‘s Bundler::require_env

Falls back to rubygems if no bundler environment exists

#### Returns

nil

:api: private

run()

Load the init_file specified in Merb::Config or if not specified, the init.rb file from the Merb configuration directory, and any environment files and any after_app_loads hooks.

Dependencies are loaded via Bunlder and managed in the Gemfile manifest. By default manifest for Bundler is in the root directory of the app and is called Gemfile. All dependencies MUST be definied there because all dependency hangling was removed from Merb.

#### Deprecated (1.0.x)

Dependencies can hook into the bootloader process itself by using before or after insertion methods. Since these are loaded from this bootloader (Dependencies), they can only adapt the bootloaders that haven‘t been loaded up until this point.

#### Returns

nil

:api: plugin

set_encoding()

Default encoding to UTF8 if it has not already been set to something else.

#### Returns

nil

:api: private

update_logger()

Resets the logger and sets the log_stream to Merb::Config[:log_file] if one is specified, falling back to STDOUT.

#### Returns

nil

:api: private

[Validate]